import SwiftUI

private let storage = TemperatureStorage()
private let bluetoothClient: BluetoothClient = {
    .init(storage: storage)
}()

@main
struct TempTrackApp: App {
    
    var body: some Scene {
        WindowGroup {
            ContentView()
                .environmentObject(storage)
                .environmentObject(bluetoothClient)
        }
    }
}
